Name:           pdfarranger
Version:        1.11.0
Release:        %mkrel 1
Summary:        PDF file merging, rearranging, and splitting
Group:          Publishing
License:        GPLv3
URL:            https://github.com/jeromerobert/pdfarranger
Source0:        https://github.com/jeromerobert/pdfarranger/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(python-distutils-extra)
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       python3dist(pygobject)
Requires:       python3dist(pikepdf) >= 1.17.0
Requires:       python3dist(pycairo)
Requires:       python3-pkg-resources
Recommends:     img2pdf

Obsoletes:      pdfshuffler < 0.6.0-12
Provides:       pdfshuffler = %{version}-%{release}

%description
PDFArranger is a small python-gtk application, which helps the user
to merge or split pdf documents and rotate, crop and rearrange their
pages using an interactive and intuitive graphical interface.

The tool, which is a graphical front-end for pikepdf, is a fork of
PDF-Shuffler that aims to "make the project a bit more active".

%prep
%autosetup -p1

%build
%py3_build

%install
# Not using py3_install, it seems to miss some files.
%{__python3} setup.py install --root %{buildroot}

%find_lang %{name}

%global app_id com.github.jeromerobert.pdfarranger

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{app_id}.desktop
%{_metainfodir}/%{app_id}.metainfo.xml
%{_mandir}/man1/%{name}.1.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.ui
%{_datadir}/%{name}/menu.ui
%{_iconsdir}/hicolor/*/apps/%{app_id}.png
%{_iconsdir}/hicolor/scalable/apps/%{app_id}.svg
%{_iconsdir}/hicolor/symbolic/apps/%{app_id}-symbolic.svg
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jun 23 2024 daviddavid <daviddavid> 1.11.0-1.mga10
+ Revision: 2076296
- new version: 1.11.0

* Tue Dec 26 2023 daviddavid <daviddavid> 1.10.1-2.mga10
+ Revision: 2021616
- rebuild for py3.12

* Wed Oct 25 2023 daviddavid <daviddavid> 1.10.1-1.mga10
+ Revision: 2001150
- new version: 1.10.1

* Mon Aug 28 2023 daviddavid <daviddavid> 1.10.0-1.mga10
+ Revision: 1980520
- new version: 1.10.0

* Tue Nov 29 2022 daviddavid <daviddavid> 1.9.2-1.mga9
+ Revision: 1912367
- new version: 1.9.2

* Mon Oct 17 2022 ghibo <ghibo> 1.9.1-2.mga9
+ Revision: 1897341
- Rebuild against newer qpdf and python-pikepdf

* Tue Oct 11 2022 ghibo <ghibo> 1.9.1-1.mga9
+ Revision: 1896272
- Update to release 1.9.1

* Fri Jun 24 2022 papoteur <papoteur> 1.8.2-4.mga9
+ Revision: 1865936
- Mass Rebuild for dependencies

* Thu Mar 24 2022 umeabot <umeabot> 1.8.2-3.mga9
+ Revision: 1825138
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 1.8.2-2.mga9
+ Revision: 1786267
- rebuild for python-3.10

* Thu Feb 17 2022 akien <akien> 1.8.2-1.mga9
+ Revision: 1779084
- Version 1.8.2

* Sat Mar 20 2021 daviddavid <daviddavid> 1.7.1-1.mga9
+ Revision: 1705223
- new version: 1.7.1

* Wed Mar 17 2021 daviddavid <daviddavid> 1.7.0-2.mga9
+ Revision: 1703991
- rebuild for python 3.9

* Sun Jan 24 2021 daviddavid <daviddavid> 1.7.0-1.mga8
+ Revision: 1673199
- new version: 1.7.0

* Sun Aug 02 2020 daviddavid <daviddavid> 1.6.2-1.mga8
+ Revision: 1610541
- new version: 1.6.2

* Thu Jul 16 2020 daviddavid <daviddavid> 1.6.0-2.mga8
+ Revision: 1606620
- recommend img2pdf

* Wed Jul 15 2020 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1606398
- new version: 1.6.0
- require pikepdf >= 1.15.1 as suggested in Readme

* Sun May 17 2020 daviddavid <daviddavid> 1.5.3-1.mga8
+ Revision: 1585456
- new version: 1.5.3

* Tue Apr 21 2020 daviddavid <daviddavid> 1.5.1-1.mga8
+ Revision: 1570211
- new version: 1.5.1

* Wed Apr 15 2020 daviddavid <daviddavid> 1.5.0-1.mga8
+ Revision: 1567493
- new version: 1.5.0

* Thu Apr 02 2020 daviddavid <daviddavid> 1.4.2-2.mga8
+ Revision: 1564003
- PyPDF2 was replaced with pikepdf (mga#26421)

* Tue Mar 17 2020 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1557164
- new version: 1.4.2

* Fri Feb 21 2020 umeabot <umeabot> 1.4.1-2.mga8
+ Revision: 1547780
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1488320
- new version: 1.4.1

* Thu Jan 30 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1485626
- new version: 1.4.0

* Sat Sep 28 2019 daviddavid <daviddavid> 1.3.1-1.mga8
+ Revision: 1447763
- new version: 1.3.1

* Thu Sep 12 2019 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1439970
- new version: 1.3.0
- rebuild for python3.8

* Fri May 03 2019 daviddavid <daviddavid> 1.1.1-4.mga7
+ Revision: 1396242
- add missing dependency on python3-pkg-resources (mga#24744)

* Tue Jan 08 2019 tv <tv> 1.1.1-3.mga7
+ Revision: 1352215
- rebuild with python 3.7

* Mon Jan 07 2019 daviddavid <daviddavid> 1.1.1-2.mga7
+ Revision: 1351037
- rebuild for new Python 3.7

* Sun Jan 06 2019 daviddavid <daviddavid> 1.1.1-1.mga7
+ Revision: 1350015
- new version: 1.1.1

* Tue Dec 25 2018 daviddavid <daviddavid> 1.1-2.mga7
+ Revision: 1344898
- now obsoletes/provides pdfshuffler

* Sun Dec 16 2018 daviddavid <daviddavid> 1.1-1.mga7
+ Revision: 1341749
- initial package pdfarranger

